### Interface

# Atspi Hypertext

#### Description [src]

    interface Atspi.Hypertext : GObject.Object

An interface used for objects which implement linking between multiple resource locations.

An interface used for objects which implement linking between multiple resource or content locations, or multiple ‘markers’ within a single document. A hypertext instance is associated with one or more hyperlinks which are associated with particular offsets within the hypertext’s content.

#### Prerequisite

In order to implement Hypertext, your type must inherit from`GObject`.

#### Implementations

- AtspiAccessible

#### Instance methods

###### atspi_hypertext_get_link

Gets the `AtspiHyperlink` object at a specified index.

###### atspi_hypertext_get_link_index

Gets the index of the `AtspiHyperlink` object at a specified character offset.

###### atspi_hypertext_get_n_links

Gets the total number of `AtspiHyperlink` objects that an `AtspiHypertext` implementor has.